Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.BPV_team
Class BPVHomeKiller

    java.lang.Object
      madkit.kernel.AbstractAgent
          warbot.kernel.Brain
              warbot.BPV_team.Robot
                  warbot.BPV_team.BPVHomeKiller

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

    public class BPVHomeKiller

extends Robot

See Also:
  Serialized Form

Field Summary
`static int` | `AIDE_ATTAQUE`
`static int` | `AIDE_BASE_AMIE`
`static int` | `AIDE_BASE_ENNEMIE`
`static int` | `AIDE_EXPLORER`
`static int` | `AIDE_LAUNCHER`
`static int` | `AIDE_ROCKET`

Fields inherited from class warbot.BPV_team.Robot
`bases_ennemies, coordonnees, groupName, liste_rockets, synchro, tour`

Constructor Summary
`BPVHomeKiller()`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`void` | `doIt()` This method controls the behavior of a robot.
`void` | `end()` This method is called by the agent micro-kernel at the end of the agent lifecycle.
`void` | `monEtat()`

Methods inherited from class warbot.BPV_team.Robot
`baseEnnemieConnue, baseEnnemieSuppr, enDouble, eviteObstacles, eviteRockets, miseAJourMouvement`

Methods inherited from class warbot.kernel.Brain
`bagSize, broadcast, broadcast, broadcast, broadcast, broadcastMessage, buildRocket, createAgent, distanceTo, drop, dropAll, eat, edit, getBagCapacity, getBagPercepts, getCoveredDistance, getEnergyLevel, getHeading, getMaximumEnergy, getPercepts, getResourceLevel, getRocketNumber, getShot, getTeam, init, isBagEmpty, isBagFull, isMoving, isMyBagEmpty, isMyBagFull, isShowUserMessage, launchRocket, move, randomHeading, readMessage, receiveMessage, send, send, send, send, sendMessage, sendMessage, setHeading, setUserMessage, showUserMessage, take, towards`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AIDE_EXPLORER

    public static final int AIDE_EXPLORER

See Also:
  Constant Field Values

### AIDE_ROCKET

    public static final int AIDE_ROCKET

See Also:
  Constant Field Values

### AIDE_BASE_ENNEMIE

    public static final int AIDE_BASE_ENNEMIE

See Also:
  Constant Field Values

### AIDE_LAUNCHER

    public static final int AIDE_LAUNCHER

See Also:
  Constant Field Values

### AIDE_ATTAQUE

    public static final int AIDE_ATTAQUE

See Also:
  Constant Field Values

### AIDE_BASE_AMIE

    public static final int AIDE_BASE_AMIE

See Also:
  Constant Field Values

Constructor Detail

### BPVHomeKiller

    public BPVHomeKiller()

Method Detail

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Here is a typical example (taken from the `PingPong` agent of MadKit (plugin demos)) :

  >     public void activate()
  >     {
  >             try {
  >                     createGroup(true,"ping-pong",null,null);
  >                     println ("No ping-pong group : I created one");
  >                     creator=true;
  >             } catch (OrganizationRequestException e) { // the group already exists
  >                     creator=false;
  >                     println ("A ping-pong group already exists : I will join");
  >             }
  >             requestRole("ping-pong","player",null);
  >     }

  Overrides:
    `activate` in class `Robot`

### end

    public void end()

  Description copied from class: `AbstractAgent`
  This method is called by the agent micro-kernel at the end of the agent lifecycle. If the the agent is killed from the outside, it is the last opportunity for the agent to cleanly shutdown its operations. Although it is "nicer" to make the agent leave its groups, the handled groups and roles are automatically leaved after this last step

  Overrides:
    `end` in class `AbstractAgent`

### monEtat

    public void monEtat()

  Overrides:
    `monEtat` in class `Robot`

### doIt

    public void doIt()

  Description copied from class: `Brain`
  This method controls the behavior of a robot. It is called once per turn. This method must be implemented in subclasses of this class.

  Overrides:
    `doIt` in class `Robot`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.